Index: pacemaker/pengine/test10/load-stopped-loop.exp
===================================================================
--- pacemaker.orig/pengine/test10/load-stopped-loop.exp
+++ pacemaker/pengine/test10/load-stopped-loop.exp
@@ -218,7 +218,7 @@
     <action_set>
       <rsc_op id="403" operation="migrate_to" operation_key="license.anbriz.vds-ok.com-vm_migrate_to_0" on_node="v03-b" on_node_uuid="v03-b">
         <primitive id="license.anbriz.vds-ok.com-vm" class="ocf" provider="vds-ok" type="VirtualDomain"/>
-        <attributes CRM_meta_migrate_source="v03-b" CRM_meta_migrate_target="v03-a" CRM_meta_name="migrate_to" CRM_meta_record_pending="true" CRM_meta_timeout="600000" arch="x86_64" blkio_weight="100" cpu_model="VDS_OK"  devices="disk:0,vds-ok-pool-0,license.anbriz.vds-ok.com_disk0,50016;netif:0,mcast,mcast-anbriz,00:16:3e:2b:d1:85,192.168.155.4;cdrom:0,libvirt-images,/virtio-win-0.1-22.iso;ide_controller:0;floppy:0,libvirt-images,;fdc_controller:0;console;mouse;tablet;graphics;watchdog:i6300esb:poweroff;" domain_name="license.anbriz.vds-ok.com" domain_uuid="61962a4c-0e0c-4502-95ca-4401bfad5553" force_stop="0" host_role_needed="" hypervisor="qemu:///system" mem_mb="1024" migration_transport="tls" run_mode="run" schedinfo_weight="250" vcpu_num="1" vcpu_policy="share"/>
+        <attributes CRM_meta_migrate_source="v03-b" CRM_meta_migrate_target="v03-a" CRM_meta_name="migrate_to" CRM_meta_on_node="v03-b" CRM_meta_on_node_uuid="v03-b" CRM_meta_record_pending="true" CRM_meta_timeout="600000" arch="x86_64" blkio_weight="100" cpu_model="VDS_OK"  devices="disk:0,vds-ok-pool-0,license.anbriz.vds-ok.com_disk0,50016;netif:0,mcast,mcast-anbriz,00:16:3e:2b:d1:85,192.168.155.4;cdrom:0,libvirt-images,/virtio-win-0.1-22.iso;ide_controller:0;floppy:0,libvirt-images,;fdc_controller:0;console;mouse;tablet;graphics;watchdog:i6300esb:poweroff;" domain_name="license.anbriz.vds-ok.com" domain_uuid="61962a4c-0e0c-4502-95ca-4401bfad5553" force_stop="0" host_role_needed="" hypervisor="qemu:///system" mem_mb="1024" migration_transport="tls" run_mode="run" schedinfo_weight="250" vcpu_num="1" vcpu_policy="share"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -227,7 +227,7 @@
     <action_set>
       <rsc_op id="402" operation="monitor" operation_key="license.anbriz.vds-ok.com-vm_monitor_10000" on_node="v03-a" on_node_uuid="v03-a">
         <primitive id="license.anbriz.vds-ok.com-vm" class="ocf" provider="vds-ok" type="VirtualDomain"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="30000" arch="x86_64" blkio_weight="100" cpu_model="VDS_OK"  devices="disk:0,vds-ok-pool-0,license.anbriz.vds-ok.com_disk0,50016;netif:0,mcast,mcast-anbriz,00:16:3e:2b:d1:85,192.168.155.4;cdrom:0,libvirt-images,/virtio-win-0.1-22.iso;ide_controller:0;floppy:0,libvirt-images,;fdc_controller:0;console;mouse;tablet;graphics;watchdog:i6300esb:poweroff;" domain_name="license.anbriz.vds-ok.com" domain_uuid="61962a4c-0e0c-4502-95ca-4401bfad5553" force_stop="0" host_role_needed="" hypervisor="qemu:///system" mem_mb="1024" migration_transport="tls" run_mode="run" schedinfo_weight="250" vcpu_num="1" vcpu_policy="share"/>
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="v03-a" CRM_meta_on_node_uuid="v03-a" CRM_meta_timeout="30000" arch="x86_64" blkio_weight="100" cpu_model="VDS_OK"  devices="disk:0,vds-ok-pool-0,license.anbriz.vds-ok.com_disk0,50016;netif:0,mcast,mcast-anbriz,00:16:3e:2b:d1:85,192.168.155.4;cdrom:0,libvirt-images,/virtio-win-0.1-22.iso;ide_controller:0;floppy:0,libvirt-images,;fdc_controller:0;console;mouse;tablet;graphics;watchdog:i6300esb:poweroff;" domain_name="license.anbriz.vds-ok.com" domain_uuid="61962a4c-0e0c-4502-95ca-4401bfad5553" force_stop="0" host_role_needed="" hypervisor="qemu:///system" mem_mb="1024" migration_transport="tls" run_mode="run" schedinfo_weight="250" vcpu_num="1" vcpu_policy="share"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -258,7 +258,7 @@
     <action_set>
       <rsc_op id="400" operation="stop" operation_key="license.anbriz.vds-ok.com-vm_stop_0" on_node="v03-b" on_node_uuid="v03-b">
         <primitive id="license.anbriz.vds-ok.com-vm" class="ocf" provider="vds-ok" type="VirtualDomain"/>
-        <attributes CRM_meta_name="stop" CRM_meta_timeout="600000" arch="x86_64" blkio_weight="100" cpu_model="VDS_OK"  devices="disk:0,vds-ok-pool-0,license.anbriz.vds-ok.com_disk0,50016;netif:0,mcast,mcast-anbriz,00:16:3e:2b:d1:85,192.168.155.4;cdrom:0,libvirt-images,/virtio-win-0.1-22.iso;ide_controller:0;floppy:0,libvirt-images,;fdc_controller:0;console;mouse;tablet;graphics;watchdog:i6300esb:poweroff;" domain_name="license.anbriz.vds-ok.com" domain_uuid="61962a4c-0e0c-4502-95ca-4401bfad5553" force_stop="0" host_role_needed="" hypervisor="qemu:///system" mem_mb="1024" migration_transport="tls" run_mode="run" schedinfo_weight="250" vcpu_num="1" vcpu_policy="share"/>
+        <attributes CRM_meta_name="stop" CRM_meta_on_node="v03-b" CRM_meta_on_node_uuid="v03-b" CRM_meta_timeout="600000" arch="x86_64" blkio_weight="100" cpu_model="VDS_OK"  devices="disk:0,vds-ok-pool-0,license.anbriz.vds-ok.com_disk0,50016;netif:0,mcast,mcast-anbriz,00:16:3e:2b:d1:85,192.168.155.4;cdrom:0,libvirt-images,/virtio-win-0.1-22.iso;ide_controller:0;floppy:0,libvirt-images,;fdc_controller:0;console;mouse;tablet;graphics;watchdog:i6300esb:poweroff;" domain_name="license.anbriz.vds-ok.com" domain_uuid="61962a4c-0e0c-4502-95ca-4401bfad5553" force_stop="0" host_role_needed="" hypervisor="qemu:///system" mem_mb="1024" migration_transport="tls" run_mode="run" schedinfo_weight="250" vcpu_num="1" vcpu_policy="share"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -271,7 +271,7 @@
     <action_set>
       <rsc_op id="423" operation="migrate_from" operation_key="terminal0.anbriz.vds-ok.com-vm_migrate_from_0" on_node="v03-b" on_node_uuid="v03-b">
         <primitive id="terminal0.anbriz.vds-ok.com-vm" class="ocf" provider="vds-ok" type="VirtualDomain"/>
-        <attributes CRM_meta_migrate_source="v03-a" CRM_meta_migrate_target="v03-b" CRM_meta_name="migrate_from" CRM_meta_timeout="30000" arch="x86_64" blkio_weight="166" cpu_model="VDS_OK"  devices="disk:0,vds-ok-pool-1,terminal0.anbriz.vds-ok.com_disk0,50016;disk:1,vds-ok-pool-1,terminal0.anbriz.vds-ok.com_disk1,20000;netif:0,mcast,mcast-anbriz,00:16:3e:87:f9:21,192.168.155.3;ide_controller:0;cdrom:0,libvirt-images,/virtio-win-0.1-22.iso;console;mouse;tablet;graphics;watchdog:i6300esb:poweroff;" domain_name="terminal0.anbriz.vds-ok.com" domain_uuid="46bd3282-56ef-44a1-98e3-dcb93387f921" force_stop="0" host_role_needed="" hypervisor="qemu:///system" mem_mb="4096" migration_transport="tls" run_mode="run" schedinfo_weight="1000" vcpu_num="2" vcpu_policy="share"/>
+        <attributes CRM_meta_migrate_source="v03-a" CRM_meta_migrate_target="v03-b" CRM_meta_name="migrate_from" CRM_meta_on_node="v03-b" CRM_meta_on_node_uuid="v03-b" CRM_meta_timeout="30000" arch="x86_64" blkio_weight="166" cpu_model="VDS_OK"  devices="disk:0,vds-ok-pool-1,terminal0.anbriz.vds-ok.com_disk0,50016;disk:1,vds-ok-pool-1,terminal0.anbriz.vds-ok.com_disk1,20000;netif:0,mcast,mcast-anbriz,00:16:3e:87:f9:21,192.168.155.3;ide_controller:0;cdrom:0,libvirt-images,/virtio-win-0.1-22.iso;console;mouse;tablet;graphics;watchdog:i6300esb:poweroff;" domain_name="terminal0.anbriz.vds-ok.com" domain_uuid="46bd3282-56ef-44a1-98e3-dcb93387f921" force_stop="0" host_role_needed="" hypervisor="qemu:///system" mem_mb="4096" migration_transport="tls" run_mode="run" schedinfo_weight="1000" vcpu_num="2" vcpu_policy="share"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -284,7 +284,7 @@
     <action_set>
       <rsc_op id="422" operation="migrate_to" operation_key="terminal0.anbriz.vds-ok.com-vm_migrate_to_0" on_node="v03-a" on_node_uuid="v03-a">
         <primitive id="terminal0.anbriz.vds-ok.com-vm" class="ocf" provider="vds-ok" type="VirtualDomain"/>
-        <attributes CRM_meta_migrate_source="v03-a" CRM_meta_migrate_target="v03-b" CRM_meta_name="migrate_to" CRM_meta_record_pending="true" CRM_meta_timeout="600000" arch="x86_64" blkio_weight="166" cpu_model="VDS_OK"  devices="disk:0,vds-ok-pool-1,terminal0.anbriz.vds-ok.com_disk0,50016;disk:1,vds-ok-pool-1,terminal0.anbriz.vds-ok.com_disk1,20000;netif:0,mcast,mcast-anbriz,00:16:3e:87:f9:21,192.168.155.3;ide_controller:0;cdrom:0,libvirt-images,/virtio-win-0.1-22.iso;console;mouse;tablet;graphics;watchdog:i6300esb:poweroff;" domain_name="terminal0.anbriz.vds-ok.com" domain_uuid="46bd3282-56ef-44a1-98e3-dcb93387f921" force_stop="0" host_role_needed="" hypervisor="qemu:///system" mem_mb="4096" migration_transport="tls" run_mode="run" schedinfo_weight="1000" vcpu_num="2" vcpu_policy="share"/>
+        <attributes CRM_meta_migrate_source="v03-a" CRM_meta_migrate_target="v03-b" CRM_meta_name="migrate_to" CRM_meta_on_node="v03-a" CRM_meta_on_node_uuid="v03-a" CRM_meta_record_pending="true" CRM_meta_timeout="600000" arch="x86_64" blkio_weight="166" cpu_model="VDS_OK"  devices="disk:0,vds-ok-pool-1,terminal0.anbriz.vds-ok.com_disk0,50016;disk:1,vds-ok-pool-1,terminal0.anbriz.vds-ok.com_disk1,20000;netif:0,mcast,mcast-anbriz,00:16:3e:87:f9:21,192.168.155.3;ide_controller:0;cdrom:0,libvirt-images,/virtio-win-0.1-22.iso;console;mouse;tablet;graphics;watchdog:i6300esb:poweroff;" domain_name="terminal0.anbriz.vds-ok.com" domain_uuid="46bd3282-56ef-44a1-98e3-dcb93387f921" force_stop="0" host_role_needed="" hypervisor="qemu:///system" mem_mb="4096" migration_transport="tls" run_mode="run" schedinfo_weight="1000" vcpu_num="2" vcpu_policy="share"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -297,7 +297,7 @@
     <action_set>
       <rsc_op id="421" operation="monitor" operation_key="terminal0.anbriz.vds-ok.com-vm_monitor_10000" on_node="v03-b" on_node_uuid="v03-b">
         <primitive id="terminal0.anbriz.vds-ok.com-vm" class="ocf" provider="vds-ok" type="VirtualDomain"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="30000" arch="x86_64" blkio_weight="166" cpu_model="VDS_OK"  devices="disk:0,vds-ok-pool-1,terminal0.anbriz.vds-ok.com_disk0,50016;disk:1,vds-ok-pool-1,terminal0.anbriz.vds-ok.com_disk1,20000;netif:0,mcast,mcast-anbriz,00:16:3e:87:f9:21,192.168.155.3;ide_controller:0;cdrom:0,libvirt-images,/virtio-win-0.1-22.iso;console;mouse;tablet;graphics;watchdog:i6300esb:poweroff;" domain_name="terminal0.anbriz.vds-ok.com" domain_uuid="46bd3282-56ef-44a1-98e3-dcb93387f921" force_stop="0" host_role_needed="" hypervisor="qemu:///system" mem_mb="4096" migration_transport="tls" run_mode="run" schedinfo_weight="1000" vcpu_num="2" vcpu_policy="share"/>
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="v03-b" CRM_meta_on_node_uuid="v03-b" CRM_meta_timeout="30000" arch="x86_64" blkio_weight="166" cpu_model="VDS_OK"  devices="disk:0,vds-ok-pool-1,terminal0.anbriz.vds-ok.com_disk0,50016;disk:1,vds-ok-pool-1,terminal0.anbriz.vds-ok.com_disk1,20000;netif:0,mcast,mcast-anbriz,00:16:3e:87:f9:21,192.168.155.3;ide_controller:0;cdrom:0,libvirt-images,/virtio-win-0.1-22.iso;console;mouse;tablet;graphics;watchdog:i6300esb:poweroff;" domain_name="terminal0.anbriz.vds-ok.com" domain_uuid="46bd3282-56ef-44a1-98e3-dcb93387f921" force_stop="0" host_role_needed="" hypervisor="qemu:///system" mem_mb="4096" migration_transport="tls" run_mode="run" schedinfo_weight="1000" vcpu_num="2" vcpu_policy="share"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -328,7 +328,7 @@
     <action_set>
       <rsc_op id="419" operation="stop" operation_key="terminal0.anbriz.vds-ok.com-vm_stop_0" on_node="v03-a" on_node_uuid="v03-a">
         <primitive id="terminal0.anbriz.vds-ok.com-vm" class="ocf" provider="vds-ok" type="VirtualDomain"/>
-        <attributes CRM_meta_name="stop" CRM_meta_timeout="600000" arch="x86_64" blkio_weight="166" cpu_model="VDS_OK"  devices="disk:0,vds-ok-pool-1,terminal0.anbriz.vds-ok.com_disk0,50016;disk:1,vds-ok-pool-1,terminal0.anbriz.vds-ok.com_disk1,20000;netif:0,mcast,mcast-anbriz,00:16:3e:87:f9:21,192.168.155.3;ide_controller:0;cdrom:0,libvirt-images,/virtio-win-0.1-22.iso;console;mouse;tablet;graphics;watchdog:i6300esb:poweroff;" domain_name="terminal0.anbriz.vds-ok.com" domain_uuid="46bd3282-56ef-44a1-98e3-dcb93387f921" force_stop="0" host_role_needed="" hypervisor="qemu:///system" mem_mb="4096" migration_transport="tls" run_mode="run" schedinfo_weight="1000" vcpu_num="2" vcpu_policy="share"/>
+        <attributes CRM_meta_name="stop" CRM_meta_on_node="v03-a" CRM_meta_on_node_uuid="v03-a" CRM_meta_timeout="600000" arch="x86_64" blkio_weight="166" cpu_model="VDS_OK"  devices="disk:0,vds-ok-pool-1,terminal0.anbriz.vds-ok.com_disk0,50016;disk:1,vds-ok-pool-1,terminal0.anbriz.vds-ok.com_disk1,20000;netif:0,mcast,mcast-anbriz,00:16:3e:87:f9:21,192.168.155.3;ide_controller:0;cdrom:0,libvirt-images,/virtio-win-0.1-22.iso;console;mouse;tablet;graphics;watchdog:i6300esb:poweroff;" domain_name="terminal0.anbriz.vds-ok.com" domain_uuid="46bd3282-56ef-44a1-98e3-dcb93387f921" force_stop="0" host_role_needed="" hypervisor="qemu:///system" mem_mb="4096" migration_transport="tls" run_mode="run" schedinfo_weight="1000" vcpu_num="2" vcpu_policy="share"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -341,7 +341,7 @@
     <action_set>
       <rsc_op id="433" operation="monitor" operation_key="vd01-d.cdev.ttc.prague.cz.vds-ok.com-vm_monitor_10000" on_node="v03-a" on_node_uuid="v03-a">
         <primitive id="vd01-d.cdev.ttc.prague.cz.vds-ok.com-vm" class="ocf" provider="vds-ok" type="VirtualDomain"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="30000" arch="x86_64" blkio_weight="100" bootdev="network" cpu_model="VDS_OK"  devices="netif:0,bridge,vlan1,00:16:3e:ef:13:04,10.5.4.67;memballon;console;graphics;mouse;tablet;watchdog:i6300esb:poweroff;" domain_name="vd01-d.cdev.ttc.prague.cz.vds-ok.com" domain_uuid="570d45ea-24e0-46d9-b63c-6a398bef1304" fencing_method="qpid" force_stop="1" host_role_needed="" hypervisor="qemu:///system" mem_mb="2048" migration_transport="tls" schedinfo_weight="20" vcpu_num="1" vcpu_policy="share"/>
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="v03-a" CRM_meta_on_node_uuid="v03-a" CRM_meta_timeout="30000" arch="x86_64" blkio_weight="100" bootdev="network" cpu_model="VDS_OK"  devices="netif:0,bridge,vlan1,00:16:3e:ef:13:04,10.5.4.67;memballon;console;graphics;mouse;tablet;watchdog:i6300esb:poweroff;" domain_name="vd01-d.cdev.ttc.prague.cz.vds-ok.com" domain_uuid="570d45ea-24e0-46d9-b63c-6a398bef1304" fencing_method="qpid" force_stop="1" host_role_needed="" hypervisor="qemu:///system" mem_mb="2048" migration_transport="tls" schedinfo_weight="20" vcpu_num="1" vcpu_policy="share"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -354,7 +354,7 @@
     <action_set>
       <rsc_op id="432" operation="start" operation_key="vd01-d.cdev.ttc.prague.cz.vds-ok.com-vm_start_0" on_node="v03-a" on_node_uuid="v03-a">
         <primitive id="vd01-d.cdev.ttc.prague.cz.vds-ok.com-vm" class="ocf" provider="vds-ok" type="VirtualDomain"/>
-        <attributes CRM_meta_name="start" CRM_meta_timeout="120000" arch="x86_64" blkio_weight="100" bootdev="network" cpu_model="VDS_OK"  devices="netif:0,bridge,vlan1,00:16:3e:ef:13:04,10.5.4.67;memballon;console;graphics;mouse;tablet;watchdog:i6300esb:poweroff;" domain_name="vd01-d.cdev.ttc.prague.cz.vds-ok.com" domain_uuid="570d45ea-24e0-46d9-b63c-6a398bef1304" fencing_method="qpid" force_stop="1" host_role_needed="" hypervisor="qemu:///system" mem_mb="2048" migration_transport="tls" schedinfo_weight="20" vcpu_num="1" vcpu_policy="share"/>
+        <attributes CRM_meta_name="start" CRM_meta_on_node="v03-a" CRM_meta_on_node_uuid="v03-a" CRM_meta_timeout="120000" arch="x86_64" blkio_weight="100" bootdev="network" cpu_model="VDS_OK"  devices="netif:0,bridge,vlan1,00:16:3e:ef:13:04,10.5.4.67;memballon;console;graphics;mouse;tablet;watchdog:i6300esb:poweroff;" domain_name="vd01-d.cdev.ttc.prague.cz.vds-ok.com" domain_uuid="570d45ea-24e0-46d9-b63c-6a398bef1304" fencing_method="qpid" force_stop="1" host_role_needed="" hypervisor="qemu:///system" mem_mb="2048" migration_transport="tls" schedinfo_weight="20" vcpu_num="1" vcpu_policy="share"/>
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/location-sets-templates.exp
===================================================================
--- pacemaker.orig/pengine/test10/location-sets-templates.exp
+++ pacemaker/pengine/test10/location-sets-templates.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="14" operation="start" operation_key="rsc1_start_0" on_node="node2" on_node_uuid="node2">
         <primitive id="rsc1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -19,7 +19,7 @@
     <action_set>
       <rsc_op id="8" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="node2">
         <primitive id="rsc1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -28,7 +28,7 @@
     <action_set>
       <rsc_op id="2" operation="monitor" operation_key="rsc1_monitor_0" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -37,7 +37,7 @@
     <action_set>
       <rsc_op id="15" operation="start" operation_key="rsc2_start_0" on_node="node2" on_node_uuid="node2">
         <primitive id="rsc2" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -53,7 +53,7 @@
     <action_set>
       <rsc_op id="9" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="node2">
         <primitive id="rsc2" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -62,7 +62,7 @@
     <action_set>
       <rsc_op id="3" operation="monitor" operation_key="rsc2_monitor_0" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc2" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -71,7 +71,7 @@
     <action_set>
       <rsc_op id="16" operation="start" operation_key="rsc3_start_0" on_node="node2" on_node_uuid="node2">
         <primitive id="rsc3" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -87,7 +87,7 @@
     <action_set>
       <rsc_op id="10" operation="monitor" operation_key="rsc3_monitor_0" on_node="node2" on_node_uuid="node2">
         <primitive id="rsc3" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -96,7 +96,7 @@
     <action_set>
       <rsc_op id="4" operation="monitor" operation_key="rsc3_monitor_0" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc3" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -105,7 +105,7 @@
     <action_set>
       <rsc_op id="17" operation="start" operation_key="rsc4_start_0" on_node="node2" on_node_uuid="node2">
         <primitive id="rsc4" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -121,7 +121,7 @@
     <action_set>
       <rsc_op id="11" operation="monitor" operation_key="rsc4_monitor_0" on_node="node2" on_node_uuid="node2">
         <primitive id="rsc4" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -130,7 +130,7 @@
     <action_set>
       <rsc_op id="5" operation="monitor" operation_key="rsc4_monitor_0" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc4" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -139,7 +139,7 @@
     <action_set>
       <rsc_op id="18" operation="start" operation_key="rsc5_start_0" on_node="node2" on_node_uuid="node2">
         <primitive id="rsc5" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -155,7 +155,7 @@
     <action_set>
       <rsc_op id="12" operation="monitor" operation_key="rsc5_monitor_0" on_node="node2" on_node_uuid="node2">
         <primitive id="rsc5" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -164,7 +164,7 @@
     <action_set>
       <rsc_op id="6" operation="monitor" operation_key="rsc5_monitor_0" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc5" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -173,7 +173,7 @@
     <action_set>
       <rsc_op id="19" operation="start" operation_key="rsc6_start_0" on_node="node2" on_node_uuid="node2">
         <primitive id="rsc6" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -189,7 +189,7 @@
     <action_set>
       <rsc_op id="13" operation="monitor" operation_key="rsc6_monitor_0" on_node="node2" on_node_uuid="node2">
         <primitive id="rsc6" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -198,7 +198,7 @@
     <action_set>
       <rsc_op id="7" operation="monitor" operation_key="rsc6_monitor_0" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc6" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
